#51 Build fails with GHC 6.12.1-rc2 due to 'containers' dep.

closed-fixed
None
5
2010-05-20
2009-11-24
No

I suppose it depends on exactly containers 0.2.0.1 currently? The version coming with GHC 6.12 is 0.3.0.0.

$ cabal install wx

Resolving dependencies...
Configuring containers-0.2.0.1...
Preprocessing library containers-0.2.0.1...
Building containers-0.2.0.1...

Data/IntMap.hs:182:7:
Could not find module `Data.Data':
It is a member of the hidden package `base'.
Perhaps you need to add `base' to the build-depends in your .cabal file.
Use -v to see a list of the files searched for.
cabal: Error: some packages failed to install:
containers-0.2.0.1 failed during the building phase. The exception was:
ExitFailure 1
wx-0.12.1.2 depends on containers-0.2.0.1 which failed to install.
wxcore-0.12.1.2 depends on containers-0.2.0.1 which failed to install.
wxdirect-0.12.1.1 depends on containers-0.2.0.1 which failed to install.

Discussion


  • Anonymous
    2010-01-21

    Hiya!

    wxdirect builds with containers-0.3.0.0 from ghc-6.12.1. Here is the 'patch:

    ************* cut-here *********************

    --- wxdirect-0.12.1.1/wxdirect.cabal.org 2010-01-21 09:09:28.103302705 +0100
    +++ wxdirect-0.12.1.1/wxdirect.cabal 2010-01-21 09:10:47.788833904 +0100
    @@ -56,7 +56,7 @@
    if flag(splitBase)
    build-depends:
    base >= 3 && < 5,
    - containers >= 0.1 && < 0.3,
    + containers >= 0.1 && <= 0.3.0.0,
    parsec >= 2.1.0 && < 4,
    time >= 1.0 && < 1.2
    else

    ********************* cut-here ******

    but wxcore fails with:

    Setup.hs:15:57:
    Couldn't match expected type `GenericPackageDescription'
    against inferred type `Either
    GenericPackageDescription PackageDescription'
    Expected type: (GenericPackageDescription, HookedBuildInfo)
    Inferred type: (Either
    GenericPackageDescription PackageDescription,
    HookedBuildInfo)
    In the `confHook' field of a record
    In the first argument of `defaultMainWithHooks', namely
    `simpleUserHooks {confHook = myConfHook}'

    Setup.hs:51:37:
    Couldn't match expected type `GenericPackageDescription'
    against inferred type `Either
    GenericPackageDescription PackageDescription'
    In the expression: pkg0
    In the second argument of `confHook', namely `(pkg0, pbi)'
    In a stmt of a 'do' expression:
    lbi <- confHook simpleUserHooks (pkg0, pbi) flags

    Sincerely,
    Gour

     

  • Anonymous
    2010-01-26

    I second that. I could also build wxdirect by changing its dependency to containers 0.3, but it won't help for wxcore. I do not get an error in Setup.hs , though. Cheers, Willard.

     
    • assigned_to: nobody --> jodonoghue
    • status: open --> closed-fixed
     
  • Fixed in Cabal release 0.12.3 of wxDirect and 0.12.4 of wxCore, wx